<?php
/**
 * @var Magento\Catalog\Block\Product\View $block
 */
$product = $block->getProduct();
$url     = $block->getUrl(
    'websnap/product/view',
    [
        'id' => $product->getId()
    ]
);
?>
<meta property="og:image" content="<?= $block->escapeUrl($url) ?>"/>
<meta property="og:image:width" content="<?= $block->escapeHtmlAttr(\Websnap\Magento\Model\Config::DEFAULT_VIEWPORT_WIDTH) ?>"/>
<meta property="og:image:height" content="<?= $block->escapeHtmlAttr(\Websnap\Magento\Model\Config::DEFAULT_VIEWPORT_HEIGHT) ?>"/>
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:image" content="<?= $block->escapeUrl($url) ?>">
